Dotclear

Vous n'êtes pas identifié(e).

Annonce

#1 2011-03-01 13:55:53

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Je ne trouve pas les liens pour télécharger les versions 1.2.X

Bonjour,

Tout est dans le titre... je souhaiterais pouvoir télécharger les versions 1.2.7 et 1.2.8 de dotclear mais je n'y parviens pas.

Sur cette page http://fr.dotclear.org/download, il y a bien une section 1.2.8 mais le lien pointe vers une version 2.2.2.

Comment faire pour choper la version 1.2.7 et 1.2.8 svp ?

Merci d'avance

Hors ligne

#2 2011-03-01 14:06:07

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Bonjour,

Une raison particulière de vouloir utiliser ces vieilles versions sans support ?
Tu as le lien vers dc1.2.8 ici : http://download.dotclear.org/latest/

Hors ligne

#3 2011-03-01 14:08:40

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Bonjour pierervg et merci pour les liens !

La raison c'est juste de faire évoluer un blog dotclear d'un pote en 1.2.8 pour le faire basculer ensuite sur une version 2. :)

Hors ligne

#4 2011-03-01 14:09:52

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Mince je m'apercois que dans les liens, il n'y a pas la version 1.2.7...
Puis-je passer de la 1.2.6 à la 1.2.8 sans passer par la 1.2.7 ?

Hors ligne

#5 2011-03-01 14:15:22

Philippe
Stagiaire
Lieu : Toulon
Inscription : 2004-06-13
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Toutes les versions sont ici : http://download.dotclear.org/attic/

Hors ligne

#6 2011-03-01 14:19:42

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Tu peux même passer de 1.2.6 à dc2.2.2, suffit juste de passer le blog en utf8 et installer ce plugin sur le 1.2.6 pour l'export :
http://www.brol.info/divers/flatExport.zip (compatible dc1.2.6 et antérieur uniquement)

Hors ligne

#7 2011-03-01 14:39:50

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Merci pour votre aide les gars et pour votre réactivité !

Hors ligne

#8 2011-03-01 14:47:07

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Excusez moi juste une dernière question...

Pour faire la mise à jour 1.2.6 => 1.2.7 => 1.2.8 , il y a t-il moyen de connaitre les fichiers à mettre à jour sans repartir sur une nouvelle install ?
En effet pas mal de fichiers ayant été "customisé" je ne souhaiterais pas les écraser, c'est pourquoi je souhaite modifier uniquement les fichiers modifiés d'une version à l'autre.

J'ai regardé du côté du fichier CHANGELOG qui répertorie bien les mises à jours effectuées mais pas les fichiers modifiés.

Merci pour votre aide.

Hors ligne

#9 2011-03-01 14:59:21

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Il est inutile de passer en 1.2.8. Tu as juste à installer le plugin customisé donné en lien en #6, pour faire ton export de dump. Suivre la doc ensuite.

Mais bon, si tu insistes, on met tout à jour, on ne choisit pas quels fichiers sont à remplacer... Suivre la doc de mise à jour est plus sûr : http://fr.dotclear.org/documentation/1.2/admin/upgrade

;-)

Hors ligne

#10 2011-03-01 15:03:31

Jean-Michel
Modérateur à ailes d'ange
Lieu : Paris
Inscription : 2006-08-22
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Est-ce par fichiers customisés, tu parles de thèmes ?

Hors ligne

#11 2011-03-01 15:06:53

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

@pierrevg > Je préfèrerais dans un premier temps passer en 1.2.7 et 1.2.8, c'est dommage de ne pas pouvoir connaitre les fichiers qui évoluent d'une version à une autre.

@Jean-Michel > Non d'autres fichiers ont été modifiés list, post, template...

Hors ligne

#12 2011-03-01 15:11:30

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Si la finalité est de migrer en dc2.2.2, on s'en fout un peu des modifs effectuées dans les fichiers du core (c'est mal !) ou du thème. D'autant que ce dernier ne sera pas compatible avec dc2.
Dans cette optique, seul est important l'export du dump.

Bref, je ne comprends pas trop ta démarche...

Hors ligne

#13 2011-03-01 15:29:11

Philippe
Stagiaire
Lieu : Toulon
Inscription : 2004-06-13
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

pierrevg a écrit :

Si la finalité est de migrer en dc2.2.2, on s'en fout un peu des modifs effectuées dans les fichiers du core (c'est mal !) ou du thème

Petite explication : la version 2 de Dotclear n'est pas une évolution de la branche 1, mais une réécriture complète. En conséquence, les extensions et thèmes ne sont pas compatibles, et le cœur de l'application est radicalement différent. Tu peux donc en effet oublier la plupart des modifications qui avaient été effectuées ;)

Hors ligne

#14 2011-03-01 15:51:19

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Merci pour ces précisions.
Das ce cas là j'aimerais au moins faire évoluer vers 1.2.8 en passant par la 1.2.7.
Ca me faciliterait bien la tâche si je connaissais les fichiers ayant été modifiés/ajoutés/ supprimés entre la 1.2.6 et la 1.2.7 et la 1.2.8.

Il n'existe vraiment pas des fichiers qui listent les modifs de fichiers entre versions ?

Hors ligne

#15 2011-03-01 15:55:22

pierrevg
Membre
Inscription : 2005-04-13
Site Web

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

webstorm a écrit :

@Jean-Michel > Non d'autres fichiers ont été modifiés list, post, template...

Ce sont des fichiers de thème...
S'il n'y a que ça, tu peux faire une mise à jour directe de 1.2.6 à 1.2.8 sans passer par 1.2.7 en suivant la doc.

Hors ligne

#16 2011-03-01 16:15:53

webstorm
Membre
Lieu : Toulouse
Inscription : 2006-08-07

Re : Je ne trouve pas les liens pour télécharger les versions 1.2.X

Das tas de fichiers ont été modifiés (ajout de fonctions, modifs...).

En tout cas merci pour votre aide. Je vais utiliser winmerge pour connaitre les différences entre les versions comme ça je pourrais modifier/ajouter/supprimer les fichiers qui ont évolués.

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map